vsftpd und 530 „login incorrect“ obwohl „alte“ Accounts funktionieren

Wenn der in der Überschrift beschriebene Fehler auftritt, kann es daran liegen, dass in der vsftpd.conf ein bestimmter Teil fehlt. Dieser wird offensichtlich in einigen Versionen der fertigen vsftpd-Paketen nicht standardmaessig „mitgeliefert“ und muss ergaenzt werden.

pam_service_name=ftp

Dieser Teil spezifiziert den Namen des PAM-Service, den vsftpd nutzen wird. Laut Manual sollte by Default schon „ftp“ genutzt werden. Bei Debian Wheezy und den neueren Ubuntu-verisonen (14.04 z. B.) ist/war das allerdings nicht der Fall.

Quelle
Wikipedia-Artikel zu PAM

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.